import { jsx } from "react/jsx-runtime";
import { RocketLaunch as RocketLaunch$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const RocketLaunch = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "RocketLaunch", ...props, children: /* @__PURE__ */ jsx(RocketLaunch$1, { weight: variant }) });
  }
);
RocketLaunch.displayName = "RocketLaunch";
Object.assign(RocketLaunch, { isGdsIcon: true });
export {
  RocketLaunch
};
